## org.biojava.utils
Class MergingIterator

    java.lang.Object
      org.biojava.utils.MergingIterator

All Implemented Interfaces:
  java.util.Iterator

    public class MergingIterator

extends java.lang.Object
implements java.util.Iterator

Author:
  Matthew Pocock

Constructor Summary
`MergingIterator(java.util.Iterator sourceIt)`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergingIterator

    public MergingIterator(java.util.Iterator sourceIt)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`